Subject: bug#78916: 31.0.50; C-g fails to exit loop

From: Stefan Monnier <[email-masked]>
Date: Fri, 04 Jul 2025 14:32:21 -0400

>>> (However, there are other good reason not to apply this patch, and
>>> simply fix read-key to optionally allow quitting instead.
>> That wouldn't fix the `C-]` case.
> I'm not sure it's that important.  It's not documented in
> query-replace-help, and I'm not really sure whether it should behave
> like C-g or ESC (or should ESC be fixed, too?) or any unbound key (like
> "r").

The doc says:

    ‘quit’
         Perform a quit right away.  Only ‘y-or-n-p’ and related functions
         use this answer.

and currently it doesn't perform a quit at all.  To me, it's clear now
that the intention of the `C-]` binding in this keymap is to mimic the
global `C-]` binding, so the current behavior in Mike's test case is wrong.

        Stefan